> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Block Card

POST https://api.npretail.app/{tenant}/{environment}/{company}/membership/card/{cardId}/block

Block a specific member card from further activity. This is typically used in scenarios where a member's access needs to be temporarily or permanently disabled.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-card/block-card

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `cardId` (UUID, required) — Unique identifier for a card.

## Response

### 200

- `card` (MemberCardEntity, required) — The MemberCardEntity describes the attributes of a card linked to a Member. It is used within other composite DTOs to represent the cards associated with a member or membership.

## Types

### MemberCardEntity

The MemberCardEntity describes the attributes of a card linked to a Member. It is used within other composite DTOs to represent the cards associated with a member or membership.

- `cardNumber` (string, required) — Unique identifier for a card.
- `temporary` (boolean, required) — Indicates whether the card is temporary.
- `createdAt` (datetime, required) — Date and time when the entity was created.
- `modifiedAt` (datetime, required) — Date and time when the entity was updated.
- `cardId` (UUID, optional) — Unique identifier for a card.
- `expiryDate` (date, optional) — The expiry date of the card.
- `blocked` (boolean, optional) — Indicates whether the entity is blocked.
- `blockedAt` (datetime, optional) — Date and time when the entity was blocked.
- `pinCode` (string, optional) — The PIN code associated with the card.

## Examples

**Response**

```json
{
  "card": {
    "cardNumber": "MC-XXXX-67891",
    "temporary": false,
    "createdAt": "2024-09-17T00:00:00",
    "modifiedAt": "2024-09-18T00:00:00",
    "cardId": "66666666-6666-6666-6666-666666666666",
    "expiryDate": "2029-09-17",
    "blocked": true,
    "blockedAt": "2024-09-20T00:00:00",
    "pinCode": "1234"
  }
}
```

**SDK Code**

```python Block Member Card
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Block Member Card
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block';
const options = {method: 'POST', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Block Member Card
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Block Member Card
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Block Member Card
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Block Member Card
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Block Member Card
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block");
var request = new RestRequest(Method.POST);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Block Member Card
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/card/12345678-abcd-1234-5678-1234567890ab/block")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```